VirtualBox

Ticket #10454 (closed defect: worksforme)

Opened 2 years ago

Last modified 2 years ago

build dependencies and build failure

Reported by: Chelmite Owned by:
Priority: major Component: other
Version: VirtualBox 4.1.12 Keywords:
Cc: Guest type: Linux
Host type: Linux

Description

The build dependencies on https://www.virtualbox.org/wiki/Linux%20build%20instructions include python2.5-dev, and not pdflatex.

python2.5-dev is not found by apt-get on Ubuntu 11.10. It did find python-dev.

The build fails because it cannot find pdflatex. I poked around and found pdfjam, which I think fixed it.

However, the build (kmk all) fails with the following message

...
kBuild: pdflatex /local/usr/local/src/vbox-dev/out/linux.amd64/release/obj/manual/fr_FR/UserManual.tex (four passes) -> /local/usr/local/src/vbox-dev/out/linux.amd64/release/obj/manual/fr_FR/UserManual.pdf
This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian)
entering extended mode
kmk: *** [/local/usr/local/src/vbox-dev/out/linux.amd64/release/obj/manual/fr_FR/UserManual.pdf] Error 1
kmk: *** Waiting for unfinished jobs....
kmk: *** Exiting with status 2

Change History

comment:1 Changed 2 years ago by frank

python-dev does definitely exist and depends on python2.7-dev. And the correct package for pdflatex is texlive-latex-base.

comment:2 Changed 2 years ago by frank

  • Status changed from new to closed
  • Resolution set to worksforme
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use